/*
 * dialogs.h
 *
 * Copyright (C) 1996 Sergio Sigala <ssigala@globalnet.it>
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.
 *
 * SERGIO SIGALA DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL SERGIO SIGALA BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 * USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef __DIALOGS_H__
#define __DIALOGS_H__

#include <limits.h>
#include "window.h"

struct FileDialogData
{
	char file[PATH_MAX];
};

class InputLine;
class ListBox;
class StaticText;

class FileDialog: public Dialog
{
protected:
	InputLine *name;
	ListBox *dirs;
	ListBox *names;
	StaticText *dir;
public:
	FileDialog(char *title);
	int dataSize();
	void getData(void *buf);
	void handleEvent(Event &event);
	virtual void readDirectory(char *move);
	void setData(void *buf);
};

#endif
